    Return the model expression for the background of a PHA data set.

get_bkg_model(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or str, optional

This returns the model expression for the background of a data set, including the instrument response (e.g. ARF and RMF), whether created automatically or explicitly, with

set_bkg_full_model .

Return the background model expression for the default data set, including any instrument response:

>>> bkg = get_bkg_model()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by get_default_id .
bkg_id
Identify the background component to use, if there are multiple ones associated with the data set.

The return value from this function is:

This can contain multiple model components and any instrument response. Changing attributes of this model changes the model used by the data set.

Changes in CIAO

The response will now be taken from the source dataset if the background has no response.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023